Forums - convert tensorflow pb model failed

1 post / 0 new
convert tensorflow pb model failed
563853580
Join Date: 28 Aug 19
Posts: 1
Posted: Wed, 2019-09-11 05:46
2019-09-11 19:19:25.782298: I tensorflow/core/common_runtime/gpu/gpu_device.cc:993] Creating TensorFlow device (/job:localhost/replica:0/task:0/device:GPU:0 with 278 MB memory) -> physical GPU (device: 0, name: GeForce GTX 1080 Ti, pci bus id: 0000:65:00.0, compute capability: 6.1)
2019-09-11 19:19:26,825 - 109 - ERROR - Encountered Error: catching classes that do not inherit from BaseException is not allowed
Traceback (most recent call last):
  File "/home/xxx/snpe-1.29.0.456/lib/python/snpe/converters/tensorflow/layers/convolution.py", line 113, in get_conv_bias
    bias_op = GraphHelper.filter_single_op_by_type(conv_output_ops, 'Add')
  File "/home/xxx/snpe-1.29.0.456/lib/python/snpe/converters/tensorflow/util.py", line 335, in filter_single_op_by_type
    code_to_message.get_error_message('ERROR_TF_OPERATION_NOT_FOUND')(operation_type, operations_message))
snpe.converters.tensorflow.util.OperationNotFoundError: ERROR_TF_OPERATION_NOT_FOUND: Operation with type Add not found within [('mobilenet/inverted_bottleneck8_6_0/Conv_1/batch_normalization/FusedBatchNorm', 'FusedBatchNorm')]
 
During handling of the above exception, another exception occurred:
 
Traceback (most recent call last):
  File "./snpe-tensorflow-to-dlc", line 103, in main
    converter.convert(args.dlc, args.copyright_file, args.model_version, converter_command)
  File "/home/xxx/snpe-1.29.0.456/lib/python/snpe/converters/tensorflow/converter.py", line 309, in convert
    self._convert_layers()
  File "/home/xxx/snpe-1.29.0.456/lib/python/snpe/converters/tensorflow/converter.py", line 343, in _convert_layers
    descriptors = self._resolve_descriptors_from_nodes(graph_ops)
  File "/home/xxx/snpe-1.29.0.456/lib/python/snpe/converters/tensorflow/converter.py", line 481, in _resolve_descriptors_from_nodes
    resolved_descriptors = resolver.resolve_layer(graph_matcher, self._graph_helper)
  File "/home/xxx/snpe-1.29.0.456/lib/python/snpe/converters/tensorflow/layers/convolution.py", line 80, in resolve_layer
    bias_op, biases = self.get_conv_bias(graph_helper, conv_op, conv_output_ops)
  File "/home/xxx/snpe-1.29.0.456/lib/python/snpe/converters/tensorflow/layers/convolution.py", line 115, in get_conv_bias
    except OperationNotFoundError(ConverterError):
TypeError: catching classes that do not inherit from BaseException is not allowed
 
  • Up0
  • Down0

Opinions expressed in the content posted here are the personal opinions of the original authors, and do not necessarily reflect those of Qualcomm Incorporated or its subsidiaries (“Qualcomm”). The content is provided for informational purposes only and is not meant to be an endorsement or representation by Qualcomm or any other party. This site may also provide links or references to non-Qualcomm sites and resources. Qualcomm makes no representations, warranties, or other commitments whatsoever about any non-Qualcomm sites or third-party resources that may be referenced, accessible from, or linked to this site.